@Echo off

cd\
ECHO choose applications based on the OS 32bit/64bit

IF EXIST "C:\Program Files (x86)" SET OS_VER=64 
IF NOT EXIST "C:\Program Files (x86)" SET OS_VER=32 

ECHO %OS_VER%
Echo.   
cd\

Echo Update Registry - Disable UAC 
regedit.exe /s regupdate.reg

if ERRORLEVEL 1 set ERRORMSG=Could not turn of UAC && goto :ERROR

Echo .

if %OS_VER% NEQ 64 goto 32bitRST

Echo Running 64bit RST setup
cd /d %~dp0
raidcfg64 /X /ds 2  /y
raidcfg64 /c ssd_vol /ds 2 /s 18.6 /nvcache /y
raidcfg64 /acceld 0 /mode max /y
raidcfg64 /c date /SS:128 /y

goto RSTdone

:32bitRST
Echo Running 32bit RST setup
cd /d %~dp0
raidcfg32 /X /ds 2  /y
raidcfg32 /c ssd_vol /ds 2 /s 18.6 /nvcache /y
raidcfg32 /acceld 0 /mode max /y
raidcfg32 /c date /SS:128 /y
:RSTdone

Echo .
Echo set Hibernate partition on SSD
cd /d %~dp0
diskpart /s delpart.txt
diskpart /s ffs.txt


Echo hibernate partition set successful
Echo .
Echo .
Echo install Rapid start driver,please wait a moment for driver installations
Echo .
Echo .

dir

cd /d %~dp0
cd ..
cd "Rapid Start"
dir
:setup.exe -s -overwrite
Echo .
Echo .
Echo driver installation finished
Echo.

Echo reboot OS
echo.

echo You must reboot your system for the changes to take effect.
if "%CHOICE_REBOOT%" == "" (
    set /p CHOICE_REBOOT="Press R to reboot immediately, or press N if you plan to reboot later. [R,N]?"
)
if "%CHOICE_REBOOT%" == "r" goto :DO_REBOOT
if "%CHOICE_REBOOT%" == "R" goto :DO_REBOOT
goto :ENDSUCCESS


:DO_REBOOT
echo Rebooting the system...
shutdown.exe -r -t 3 -c "The system will reboot after 3 second..."
if ERRORLEVEL 1 set ERRORMSG=Could not reboot the system && goto :ERROR
if ERRORLEVEL 0 goto :ENDSUCCESS

 :ERROR
echo.
echo ERROR: %ERRORMSG%
echo The script could not complete the configuration steps.
echo.
echo Please make sure this script is run under the account that will be
echo used to run the benchmark.  This account MUST have administrative
echo privileges.  (You must run this script by right-clicking on it and
echo choosing "Run as administrator" in Vista.)
echo.
pause


:ENDSUCCESS
exit /b 1

